function cvxtest3()
% CVXTEST3() demonstrates traposnrtation problem with choices

% Transportation costs for train
c_train = [ 51 62 35 45 56;
            59 68 50 39 46;
            49 56 53 51 37 ];
% Transportation costs for ship
c_ship = [ 48     68 48 100000 54;
           66     75 55 49     57;
           100000 61 64 59     50 ];
% Transportation costs for combined train and ship
c_komb = min(c_train, c_ship);
% Supplies
supplyA = 34;
supplyB = 47;
supplyC = 35;
supply = [ supplyA; supplyB; supplyC ];
supplymod = [ supplyA; supplyB+40; supplyC ];
fprintf('Supplied total: %3.0f m3\n', sum(supply));
% Demands
demand1 = 26;
demand2 = 27;
demand3 = 21;
demand4 = 24;
demand5 = 18;
demand = [ demand1; demand2; demand3; demand4; demand5 ];
demandmod = [ demand1; demand2; demand3+40; demand4; demand5 ];
fprintf('Demanded total: %3.0f m3\n', sum(demand));
%
fprintf('****************************************\n');
fprintf('TRAIN ONLY\n');
fprintf('****************************************\n');
%
cvx_begin
    variable x_train(3,5)
    minimize(sum(sum(c_train.*x_train)))
    subject to
        x_train >= 0
        sum(x_train,2) <= supply
        sum(x_train,1) >= demand'
cvx_end
%
x_train
%
fprintf('****************************************\n');
fprintf('SHIP ONLY\n');
fprintf('****************************************\n');
%
cvx_begin
    variable x_ship(3,5)
    minimize(sum(sum(c_ship.*x_ship)))
    subject to
        x_ship >= 0
        sum(x_ship,2) <= supply
        sum(x_ship,1) >= demand'
cvx_end
%
x_ship
%
%
fprintf('****************************************\n');
fprintf('CHEAPEST ROUTE\n');
fprintf('****************************************\n');
%
cvx_begin
    variable x_komb(3,5)
    minimize(sum(sum(c_komb.*x_komb)))
    subject to
        x_komb >= 0
        sum(x_komb,2) <= supply
        sum(x_komb,1) >= demand'
cvx_end
%
x_komb
end

